public GeometricPlane(Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem CoordSys)
        {
            var args = new object[1];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(CoordSys);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Geometry3d.GeometricPlane", args);
        }
        public TransformationPlane(Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem CoordinateSystem)
        {
            var args = new object[1];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(CoordinateSystem);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Model.TransformationPlane", args);
        }
Пример #3
0
        public static Dynamic.Tekla.Structures.Geometry3d.Matrix FromCoordinateSystem(
            Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem CoordSys_)
        {
            var CoordSys = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(CoordSys_);
            var result   = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.MatrixFactory", "FromCoordinateSystem", CoordSys);
            var _result  = Dynamic.Tekla.Structures.Geometry3d.Matrix_.FromTSObject(result);

            return(_result);
        }
Пример #4
0
        public static Dynamic.Tekla.Structures.Geometry3d.Matrix ByCoordinateSystems(
            Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem CoordSys1_,
            Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem CoordSys2_)
        {
            var CoordSys1 = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(CoordSys1_);
            var CoordSys2 = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(CoordSys2_);
            var result    = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.MatrixFactory", "ByCoordinateSystems", CoordSys1, CoordSys2);
            var _result   = Dynamic.Tekla.Structures.Geometry3d.Matrix_.FromTSObject(result);

            return(_result);
        }
        public static System.Boolean MoveObject(
            Dynamic.Tekla.Structures.Model.ModelObject Object_,
            Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem StartCoordinateSystem_,
            Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem EndCoordinateSystem_)
        {
            var Object = Dynamic.Tekla.Structures.Model.ModelObject_.GetTSObject(Object_);
            var StartCoordinateSystem = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(StartCoordinateSystem_);
            var EndCoordinateSystem   = Dynamic.Tekla.Structures.Geometry3d.CoordinateSystem_.GetTSObject(EndCoordinateSystem_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Model.Operations.Operation", "MoveObject", Object, StartCoordinateSystem, EndCoordinateSystem);

            return(result);
        }